DROP TABLE IF EXISTS pathway;

CREATE TABLE pathway
(
	ID INT NOT NULL DEFAULT '0' auto_increment,
	Title VARCHAR(255) NOT NULL,
	Parent INT NOT NULL,
	Private ENUM('Y', 'N') NOT NULL DEFAULT 'N',
	Description VARCHAR(255) NOT NULL,

	PRIMARY KEY(ID),
	INDEX Title(Title)
);



INSERT INTO pathway (ID, Title, Parent, Private) 
VALUES (1, 'Suggested Links', 0, 'Y');


DROP TABLE IF EXISTS node;

CREATE TABLE node
(
	ID INT NOT NULL DEFAULT '0' auto_increment,
	Pathway INT NOT NULL,
	Title VARCHAR(255) NOT NULL,
	URL VARCHAR(255) NOT NULL,
	Description VARCHAR(255) NOT NULL,
	Created DATETIME NOT NULL,
	Creator VARCHAR(32) NOT NULL,
	LinkCount INT NOT NULL DEFAULT 0,
	LastChecked DATETIME NOT NULL,

	PRIMARY KEY(ID),
	INDEX Pathway (Pathway),
	INDEX Title (Title)
);


DROP TABLE IF EXISTS user;

CREATE TABLE user
(
	ID INT NOT NULL AUTO_INCREMENT,
	Login VARCHAR(16),
	Password VARCHAR(16),
	Name VARCHAR(64),
	SessionID CHAR(16),
	LastAction DATETIME,

	PRIMARY KEY(ID)
);

INSERT INTO user VALUES(NULL, 'admin', 'admin', 'Administrator', NULL, NULL);
